%define mod_name Sys-Syslog
Name:    perl-%{mod_name}
Version: 0.36
Release: 2
Summary: An interface to the UNIX syslog(3) program
License: GPL+ or Artistic
URL:     https://metacpan.org/release/%{mod_name}
Source0: http://www.cpan.org/authors/id/S/SA/SAPER/%{mod_name}-%{version}.tar.gz 

BuildRequires: coreutils, findutils, gcc, glibc-common, make
BuildRequires: perl-interpreter, perl-devel, perl-generators
BuildRequires: perl(Config), perl(ExtUtils::Constant), perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy), perl(File::Spec), perl(strict)
BuildRequires: perl(Carp), perl(constant), perl(constant), perl(Fcntl)
BuildRequires: perl(File::Basename), perl(POSIX), perl(Socket), perl(vars)
BuildRequires: perl(warnings), perl(warnings::register), perl(XSLoader)
BuildRequires: perl(FileHandle), perl(Data::Dumper), perl(Test::More)
BuildRequires: perl(Test::NoWarnings), perl(Test::Pod) >= 1.14
Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires: perl(Fcntl), perl(XSLoader)

%description
Sys-Syslog is an interface to the UNIX syslog(3) program.
Call syslog() with a string priority and a list of printf() args
just like syslog(3).

%package_help

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -type f -name .packlist | xargs rm -f 
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 | xargs rm -f
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes eg README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sys*

%files help
%{_mandir}/man*/*

%changelog
* Tue Oct 25 2022 zhoushuiqing <zhoushuiqing2@huawei.com> - 0.36-2
- remove redundant fields to opitomize the specfile

* Wed Jul 22 2020 dingyue <dingyue5@huawei.com> - 0.36-1
- Package update

* Mon Oct 28 2019 shenyangyang <shenyangyang4@huawei.com> - 0.35-420
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded build requires of perl(Test::Portability::Files) 
       and perl(Test::Pod::Coverage)

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.35-419
- Package init
